MappedSuperclassTypeImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.metamodel
Class MappedSuperclassTypeImpl<X>

    java.lang.Object
      org.hibernate.ejb.metamodel.AbstractType<X>
          org.hibernate.ejb.metamodel.AbstractManagedType<X>
              org.hibernate.ejb.metamodel.AbstractIdentifiableType<X>
                  org.hibernate.ejb.metamodel.MappedSuperclassTypeImpl<X>

All Implemented Interfaces:
  Serializable, IdentifiableType<X>, ManagedType<X>, MappedSuperclassType<X>, Type<X>

    public class MappedSuperclassTypeImpl<X>

extends AbstractIdentifiableType<X>
implements MappedSuperclassType<X>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.ejb.metamodel.AbstractIdentifiableType
`AbstractIdentifiableType.Builder<X>`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Type
`Type.PersistenceType`

Constructor Summary
`MappedSuperclassTypeImpl(Class<X> javaType, AbstractIdentifiableType<? super X> superType, boolean hasIdentifierProperty, boolean versioned)`

Method Summary
`Type.PersistenceType` | `getPersistenceType()`
`protected boolean` | `requiresSupertypeForNonDeclaredIdentifier()` Indicates if a non-null super type is required to provide the identifier attribute(s) if this object does not have a declared identifier.

Methods inherited from class org.hibernate.ejb.metamodel.AbstractIdentifiableType
`checkDeclaredId, checkDeclaredVersion, checkSimpleId, getBuilder, getDeclaredId, getDeclaredVersion, getDeclaredVersion, getId, getIdClassAttributes, getIdType, getSupertype, getVersion, hasDeclaredVersionAttribute, hasSingleIdAttribute, hasVersionAttribute, requireSupertype`

Methods inherited from class org.hibernate.ejb.metamodel.AbstractManagedType
`getAttribute, getAttributes, getCollection, getCollection, getDeclaredAttribute, getDeclaredAttributes, getDeclaredCollection, getDeclaredCollection, getDeclaredList, getDeclaredList, getDeclaredMap, getDeclaredMap, getDeclaredPluralAttributes, getDeclaredSet, getDeclaredSet, getDeclaredSingularAttribute, getDeclaredSingularAttribute, getDeclaredSingularAttributes, getList, getList, getMap, getMap, getPluralAttributes, getSet, getSet, getSingularAttribute, getSingularAttribute, getSingularAttributes, isPrimitiveVariant, lock`

Methods inherited from class org.hibernate.ejb.metamodel.AbstractType
`getJavaType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.metamodel.IdentifiableType
`getDeclaredId, getDeclaredVersion, getId, getIdClassAttributes, getIdType, getSupertype, getVersion, hasSingleIdAttribute, hasVersionAttribute`

Methods inherited from interface javax.persistence.metamodel.ManagedType
`getAttribute, getAttributes, getCollection, getCollection, getDeclaredAttribute, getDeclaredAttributes, getDeclaredCollection, getDeclaredCollection, getDeclaredList, getDeclaredList, getDeclaredMap, getDeclaredMap, getDeclaredPluralAttributes, getDeclaredSet, getDeclaredSet, getDeclaredSingularAttribute, getDeclaredSingularAttribute, getDeclaredSingularAttributes, getList, getList, getMap, getMap, getPluralAttributes, getSet, getSet, getSingularAttribute, getSingularAttribute, getSingularAttributes`

Methods inherited from interface javax.persistence.metamodel.Type
`getJavaType`

Constructor Detail

### MappedSuperclassTypeImpl

    public MappedSuperclassTypeImpl(Class<X> javaType,
                                    AbstractIdentifiableType<? super X> superType,
                                    boolean hasIdentifierProperty,
                                    boolean versioned)

Method Detail

### getPersistenceType

    public Type.PersistenceType getPersistenceType()

  Specified by:
    `getPersistenceType` in interface `Type<X>`

### requiresSupertypeForNonDeclaredIdentifier

    protected boolean requiresSupertypeForNonDeclaredIdentifier()

  Description copied from class: `AbstractIdentifiableType`
  Indicates if a non-null super type is required to provide the identifier attribute(s) if this object does not have a declared identifier. .

  Specified by:
    `requiresSupertypeForNonDeclaredIdentifier` in class `AbstractIdentifiableType<X>`
  Returns:
    true, if a non-null super type is required to provide the identifier attribute(s) if this object does not have a declared identifier; false, otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.